Channel Details
curl --request GET \
--url https://api.sociavault.com/v1/scrape/youtube/channel \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/youtube/channel"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/youtube/channel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"channelId": "UCxcTeAKWJca6XyJ37_ZoKIQ",
"channel": "http://www.youtube.com/@ThePatMcAfeeShow",
"handle": "@ThePatMcAfeeShow",
"name": "The Pat McAfee Show",
"avatar": {
"image": {
"sources": {
"0": {
"url": "https://yt3.googleusercontent.com/ytc/AIdro_nBgMGIxgHehCAlUUepEhd9Yooi1I55k6IF2WExl-v8Q-c=s68-c-k-c0x00ffffff-no-rj"
}
},
"processor": {
"borderImageProcessor": {
"circular": true
}
}
},
"accessibilityText": "The Pat McAfee Show. Go to channel.",
"avatarImageSize": "AVATAR_SIZE_M"
},
"description": "",
"subscriberCount": 2970000,
"subscriberCountText": "2.97M subscribers",
"videoCountText": "10,538 videos",
"videoCount": 10538,
"viewCountText": "2,462,865,520 views",
"viewCount": 2462865520,
"joinedDateText": "Joined Aug 23, 2017",
"tags": "pat mcafee, football, pat mcafee show, the pat mcafee show, pat mcafee podcast, pat mcafee clips, pat mcafee reacts, pat mcafee highlights, pat mcafee live, pat mcafee show live, pat mcafee podcast, nfl, nba, nhl, mlb, ufc, sports",
"email": null,
"store": "https://store.patmcafeeshow.com",
"twitter": "https://twitter.com/PatMcAfeeShow",
"instagram": "https://instagram.com/patmcafeeshow",
"links": {
"0": "https://store.patmcafeeshow.com",
"1": "https://twitter.com/PatMcAfeeShow",
"2": "https://instagram.com/patmcafeeshow"
},
"country": "United States"
},
"credits_used": 1,
"endpoint": "youtube/channel"
}{
"error": "Missing required parameter: handle",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}YouTube
Channel Details
Get comprehensive channel information including stats and metadata. Can pass channelId, handle, or url.
GET
/
v1
/
scrape
/
youtube
/
channel
Channel Details
💳 1 credit per request
Authorizations
Query Parameters
YouTube channel ID. Can pass a channelId, handle or url
Example:
"UC-9-kyTW8ZkZNDHQJ6FgpwQ"
YouTube channel handle. Can pass a channelId, handle or url
Example:
"ThePatMcAfeeShow"
YouTube channel URL. Can pass a channelId, handle or url
Example:
"https://www.youtube.com/@ThePatMcAfeeShow"
Response
Successful response
Key Response Fields:
data.channelId: Unique YouTube channel IDdata.name: Channel display namedata.handle: Channel @handledata.avatar.image.sources[0].url: Channel avatar image URLdata.description: Channel description/biodata.subscriberCount: Total subscriber count (integer)data.subscriberCountText: Human-readable subscriber count (e.g., "2.97M subscribers")data.videoCount: Total number of videosdata.viewCount: Total channel view countdata.joinedDateText: When the channel was createddata.tags: Comma-separated channel tags/keywordsdata.email: Public contact email (may be null)data.country: Channel's registered countrydata.links: External social/website links